Bug 1456243 - golang-googlecode-go-exp: FTBFS due to missing dependencies on Fedora 26+
Summary: golang-googlecode-go-exp: FTBFS due to missing dependencies on Fedora 26+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-go-exp
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-28 10:09 UTC by Fabio Valentini
Modified: 2017-07-07 22:59 UTC (History)
4 users (show)

Fixed In Version: golang-googlecode-go-exp-0-0.14.gitd00e13e.fc25 golang-googlecode-go-exp-0-0.14.gitd00e13e.fc24 golang-googlecode-go-exp-0-0.14.gitd00e13e.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-06 02:22:20 UTC


Attachments (Terms of Use)

Description Fabio Valentini 2017-05-28 10:09:53 UTC
Package golang-googlecode-go-exp fails to build from source in Fedora 26+, due to the (now) missing dependency golang(golang.org/x/text/collate/colltab), which is no longer provided by the golang-googlecode-text package.

But, it looks like this dependency is no longer even used by more recent versions of this package, so bumping to a recent snapshot (and correcting the Requires) should fix this, as far as I can tell from looking at it briefly.

Comment 1 Fedora Update System 2017-06-26 13:04:34 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7781171e4e

Comment 2 Fedora Update System 2017-06-27 02:19:35 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f766e4789

Comment 3 Fedora Update System 2017-06-27 03:23:48 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-98e3c6edea

Comment 4 Fedora Update System 2017-06-27 06:25:26 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-569dec8ec9

Comment 5 Fedora Update System 2017-06-27 14:51:59 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7781171e4e

Comment 6 Fedora Update System 2017-07-06 02:22:20 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-07-07 13:49:16 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-07-07 22:59:24 UTC
golang-googlecode-go-exp-0-0.14.gitd00e13e.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.